/*
 * Part of Xlab Interface
 *
 * Created: 2017-10-19
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "about.h"
#include "ui_about.h"
#include "common.h"
#include "globaloptions.h"


About::About(QWidget *parent, GlobalOptions *options) :
    QDialog(parent),
    ui(new Ui::About)
{
    ui->setupUi(this);
    setWindowTitle(QCoreApplication::applicationName() + " - " + tr("About"));
    setWindowFlags(this->windowFlags() & ~Qt::WindowContextHelpButtonHint);
    ui->labelVersion->setText(tr("version:") + " " + QCoreApplication::applicationVersion() + "." + compilationTime() + " "
                              + QString(tr("with Qt %1")).arg(QT_VERSION_STR));
    this->setMinimumSize((int(options->scaleFactorX * this->minimumWidth())), (int(options->scaleFactorY * this->minimumHeight())));
    this->resize((int(options->scaleFactorX * this->width())), (int(options->scaleFactorY * this->height())));
}

About::~About()
{
    delete ui;
}

void About::closeForm()
{
    QPushButton *closeButton = ui->buttonBox->button(QDialogButtonBox::Close);
    closeButton->click();
}

