/*
 * Part of Xlab Interface
 *
 * Created: 2019-05-14
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "multimeterdisplaybuttons.h"
#include "ui_multimeterdisplaybuttons.h"
#include <QtWidgets>


MultimeterDisplayButtons::MultimeterDisplayButtons(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MultimeterDisplayButtons)
{
    ui->setupUi(this);

    prepareToolButton(ui->pushButtonHold, tr("Hold"));
    prepareToolButton(ui->pushButtonClear, tr("Clear"));
    prepareToolButton(ui->pushButtonExtend, tr("Extend"));
    prepareToolButton(ui->pushButtonOffset, tr("Offset"));
}

MultimeterDisplayButtons::~MultimeterDisplayButtons()
{
    delete ui;
}

void MultimeterDisplayButtons::prepareToolButton(QPushButton *button, QString text)
{
    button->setMinimumSize(QSize(90, 14));
    button->setChecked(false);
    button->setText(text);
}

void MultimeterDisplayButtons::connectButtons(const QObject *object, const char *slotHold, const char *slotClear, const char *slotExtend, const char *slotOffset)
{
    connect(ui->pushButtonHold, SIGNAL(clicked(bool)), object, slotHold);
    connect(ui->pushButtonClear, SIGNAL(clicked(bool)), object, slotClear);
    connect(ui->pushButtonExtend, SIGNAL(clicked(bool)), object, slotExtend);
    connect(ui->pushButtonOffset, SIGNAL(clicked(bool)), object, slotOffset);
}

void MultimeterDisplayButtons::setButtonHoldChecked(bool checked)
{
    ui->pushButtonHold->setChecked(checked);
}

void MultimeterDisplayButtons::setButtonClearChecked(bool checked)
{
    ui->pushButtonClear->setChecked(checked);
}

void MultimeterDisplayButtons::setButtonExtendChecked(bool checked)
{
    ui->pushButtonExtend->setChecked(checked);
}

void MultimeterDisplayButtons::setButtonOffsetChecked(bool checked)
{
    ui->pushButtonOffset->setChecked(checked);
}

void MultimeterDisplayButtons::paintEvent(QPaintEvent *)
{
    QStyleOption opt;
    opt.init(this);
    QPainter p(this);
    style()->drawPrimitive(QStyle::PE_Widget, &opt, &p, this);
}
