/*
 * Part of Xlab Interface
 *
 * Created: 2019-05-04
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "multimeterdisplayoptions.h"


MultimeterDisplayOptions::MultimeterDisplayOptions() : Options()
{
    foregroundColorName = "#404040";
    backgroundColorName = "#fafafa";
    warningColorName = "#f6f278";
    criticalColorName = "#f6b0b0";
#ifdef Q_OS_WIN
    valueFontFamily = "Consolas";
    labelFontFamily = "Consolas";
#elif defined(Q_OS_MAC)
    valueFontFamily = "Consolas";
    labelFontFamily = "Consolas";
#else
    valueFontFamily = "Cantarell";
    labelFontFamily = "Cantarell";
#endif
    extendPrecision = 3;
    appendLabel = true;
    appendNewLine = false;
}

QString MultimeterDisplayOptions::getName()
{
    return "MultimeterDisplay";
}

QString MultimeterDisplayOptions::getCommonName()
{
    return "Multimeter display";
}

QString MultimeterDisplayOptions::getUiClassName()
{
    return "MultimeterDisplaySettings";
}

QIcon MultimeterDisplayOptions::getIcon()
{
    return QIcon(QPixmap(":/icons/item_multimeter.png"));
}

int MultimeterDisplayOptions::validateExtendPrecision(int value)
{
    if (value < 1) value = 1;
    if (value > EXTENDPRECISION_MAX) value = EXTENDPRECISION_MAX;
    return value;
}

