/*
 * Part of Xlab Interface
 *
 * Created: 2019-05-04
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef MULTIMETERDISPLAYSETTINGS_H
#define MULTIMETERDISPLAYSETTINGS_H

#include <QWidget>
#include "colorbutton.h"

class MultimeterDisplayOptions;

namespace Ui {
class MultimeterDisplaySettings;
}

class MultimeterDisplaySettings : public QWidget
{
    Q_OBJECT

public:
    explicit MultimeterDisplaySettings(QWidget *parent = nullptr, MultimeterDisplayOptions *config = nullptr);
    ~MultimeterDisplaySettings();

    void applyOptions(void);

private slots:
    void on_pushButtonBackgroundColor_clicked();
    void on_pushButtonForegroundColor_clicked();
    void on_pushButtonWarningColor_clicked();
    void on_pushButtonCriticalColor_clicked();

private:
    Ui::MultimeterDisplaySettings *ui;
    MultimeterDisplayOptions *configuration;
    void loadOptions(void);

    const int ICON_WIDTH = 44;
    const int ICON_HEIGHT = 12;
};

#endif // MULTIMETERDISPLAYSETTINGS_H
