/*
 * Part of Xlab Interface
 *
 * Created: 2018-05-27
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "pythonconsoleoptions.h"


PythonConsoleOptions::PythonConsoleOptions() : Options()
{
    fontFamily = QFont("Courier New", 10).family();
    fontSize = QFont("Courier New", 10).pointSize();
    sizeWidthMinimum = 40;
    sizeWidthDefault = 120;
    sizeWidthMaximum = 999;
    sizeHeightMinimum = 1;
    sizeHeightDefault = 20;
    sizeHeightMaximum = 999;
    sizeWidth = 0;
    sizeHeight = 0;
    restoreSize = false;
    colorName = QColor(98, 240, 51).name();
    backgroundColorName = QColor(0, 0, 0).name();
}

QString PythonConsoleOptions::getName()
{
    return "PythonConsole";
}

QString PythonConsoleOptions::getCommonName()
{
    return "Python console";
}

QString PythonConsoleOptions::getUiClassName()
{
    return "PythonConsoleSettings";
}

QIcon PythonConsoleOptions::getIcon()
{
    return QIcon(QPixmap(":/icons/item_console.png"));
}

int PythonConsoleOptions::validateSizeWidth(int width)
{
    if (width < sizeWidthMinimum) width = sizeWidthMinimum;
    if (sizeWidthMaximum != 0)
        if (width > sizeWidthMaximum) width = sizeWidthMaximum;
    return width;
}

int PythonConsoleOptions::validateSizeHeight(int height)
{
    if (height < sizeHeightMinimum) height = sizeHeightMinimum;
    if (sizeHeightMaximum != 0)
        if (height > sizeHeightMaximum) height = sizeHeightMaximum;
    return height;
}

