/*
 * Part of Xlab Interface
 *
 * Created: 2018-05-27
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef PYTHONCONSOLESETTINGS_H
#define PYTHONCONSOLESETTINGS_H

#include <QWidget>
#include <QString>
#include "colorbutton.h"

class PythonConsoleOptions;

namespace Ui {
class PythonConsoleSettings;
}

class PythonConsoleSettings : public QWidget
{
    Q_OBJECT

public:
    explicit PythonConsoleSettings(QWidget *parent = nullptr, PythonConsoleOptions *config = nullptr);
    ~PythonConsoleSettings();

    void applyOptions(void);

private slots:
    void on_colorButtonBackgroundColor_clicked();
    void on_colorButtonForegroundColor_clicked();

private:
    Ui::PythonConsoleSettings *ui;
    PythonConsoleOptions *configuration;
    void loadOptions(void);

    const int SPINBOX_MAX_VALUE = 999999;
    const int ICON_WIDTH = 44;
    const int ICON_HEIGHT = 12;

};

#endif // PYTHONCONSOLESETTINGS_H
