/*
 * Part of Xlab Interface
 *
 * Created: 2017-12-16
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "pythonxlabobjectawg.h"
#include "xlabinterface.h"
#include "common.h"


PythonXlabObjectAWG::PythonXlabObjectAWG():QObject(NULL)
{
    xlabPy = 0;
}

PythonXlabObjectAWG::~PythonXlabObjectAWG()
{
}

void PythonXlabObjectAWG::setXlabQt(XlabInterface *xlab)
{
    xlabPy = xlab;
}

PyObject *PythonXlabObjectAWG::getMainModule()
{
    return PythonQt::self()->getMainModule();
}

void PythonXlabObjectAWG::setWaveformSquare()
{
    xlabPy->clickRadioButtonSquare();
}

void PythonXlabObjectAWG::setWaveformSine()
{
    xlabPy->clickRadioButtonSine();
}

void PythonXlabObjectAWG::setWaveformExpo()
{
    xlabPy->clickRadioButtonExpo();
}

void PythonXlabObjectAWG::setWaveformTriangle()
{
    xlabPy->clickRadioButtonTriangle();
}

void PythonXlabObjectAWG::setWaveformConstant()
{
    xlabPy->clickRadioButtonConstant();
}

void PythonXlabObjectAWG::setWaveformCustom()
{
    xlabPy->clickRadioButtonCustom();
}

void PythonXlabObjectAWG::setWaveformWhiteNoise()
{
    xlabPy->clickRadioButtonWhiteNoise();
}

void PythonXlabObjectAWG::setWaveformPinkNoise()
{
    xlabPy->clickRadioButtonPinkNoise();
}

void PythonXlabObjectAWG::setFrequency(double f)
{
    xlabPy->setAwgFrequency(f);
}

void PythonXlabObjectAWG::setLevelsAmplitude(double val)
{
    xlabPy->setAwgLevelsAmplitude(val);
}

void PythonXlabObjectAWG::setLevelsDutyCycle(double val)
{
    xlabPy->setAwgLevelsDutyCycle(val);
}

void PythonXlabObjectAWG::setLevelsOffset(double val)
{
    xlabPy->setAwgLevelsOffset(val);
}

void PythonXlabObjectAWG::setSweepEnabled(bool enabled)
{
    xlabPy->setAwgSweepEnabled(enabled);
}

void PythonXlabObjectAWG::setSweepTypeFrequency()
{
    xlabPy->clickRadioButtonSweepFrequency();
}

void PythonXlabObjectAWG::setSweepTypeAmplitude()
{
    xlabPy->clickRadioButtonSweepAmplitude();
}

void PythonXlabObjectAWG::setSweepTypeDutyCycle()
{
    xlabPy->clickRadioButtonSweepDutyCycle();
}

void PythonXlabObjectAWG::setSweepTypeOffset()
{
    xlabPy->clickRadioButtonSweepOffset();
}

void PythonXlabObjectAWG::setSweepDirectionRising()
{
    xlabPy->clickRadioButtonSweepDirectionRising();
}

void PythonXlabObjectAWG::setSweepDirectionPingPong()
{
    xlabPy->clickRadioButtonSweepDirectionPingPong();
}

void PythonXlabObjectAWG::setSweepDirectionFaling()
{
    xlabPy->clickRadioButtonSweepDirectionFaling();
}

void PythonXlabObjectAWG::setSweepSpeed(int val)
{
    xlabPy->setAwgSweepSpeed(val);
}

void PythonXlabObjectAWG::setSweepStart(double val)
{
    xlabPy->setAwgSweepStart(val);
}

void PythonXlabObjectAWG::setSweepEnd(double val)
{
    xlabPy->setAwgSweepEnd(val);
}

QObject *PythonXlabObjectAWG::findChild(QObject *o, const QString& name)
{
    return o->findChild<QObject*>(name);
}

