/*
 * Part of Xlab Interface
 *
 * Created: 2017-12-16
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef PYTHONXLABOBJECTAWG_H
#define PYTHONXLABOBJECTAWG_H

#include "PythonQt.h"

#include <QObject>
#include <QMainWindow>


class XlabInterface;

class PythonXlabObjectAWG : public QObject {
	Q_OBJECT

public:
    PythonXlabObjectAWG();
    ~PythonXlabObjectAWG();
    void setXlabQt(XlabInterface *xlab);

public slots:
    PyObject *getMainModule();
    QObject *findChild(QObject *o, const QString &name);

    void setWaveformSquare();
    void setWaveformSine();
    void setWaveformExpo();
    void setWaveformTriangle();
    void setWaveformConstant();
    void setWaveformCustom();
    void setWaveformWhiteNoise();
    void setWaveformPinkNoise();
    void setFrequency(double f);
    void setLevelsAmplitude(double val);
    void setLevelsDutyCycle(double val);
    void setLevelsOffset(double val);
    void setSweepEnabled(bool enabled);
    void setSweepTypeFrequency();
    void setSweepTypeAmplitude();
    void setSweepTypeDutyCycle();
    void setSweepTypeOffset();
    void setSweepDirectionRising();
    void setSweepDirectionPingPong();
    void setSweepDirectionFaling();
    void setSweepSpeed(int val);
    void setSweepStart(double val);
    void setSweepEnd(double val);

private:
    XlabInterface *xlabPy;
};

#endif // PYTHONXLABOBJECTAWG_H
