/*
 * Part of Xlab Interface
 *
 * Created: 2018-06-22
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "scopesettings.h"
#include "ui_scopesettings.h"
#include "scopeoptions.h"

ScopeSettings::ScopeSettings(QWidget *parent, ScopeOptions *config) :
    QWidget(parent),
    ui(new Ui::ScopeSettings)
{
    ui->setupUi(this);
    configuration = config;
    loadOptions();
}

ScopeSettings::~ScopeSettings()
{
    delete ui;
}

void ScopeSettings::loadOptions(void)
{
    ui->comboBox->setCurrentIndex(configuration->logicLabelPosition);
    ui->comboBoxGridStyle->setCurrentIndex(configuration->gridStyle);
    ui->comboBoxTheme->setCurrentIndex(configuration->theme);
}

void ScopeSettings::applyOptions(void)
{
    configuration->logicLabelPosition = ui->comboBox->currentIndex();
    configuration->gridStyle = ui->comboBoxGridStyle->currentIndex();
    configuration->theme = ui->comboBoxTheme->currentIndex();
}

